/**
 * 缴费信息
 */
angular.module('NmHr')
    .controller('PaymentInfoCtrl', ['App', '$rootScope', '$scope', 'Employee','SocialSetting',
        function(App, $rootScope, $scope, Employee,SocialSetting) {
            var vm = this;
                        
            //初始化
            vm.initCtrl = function() {
                getSocialSetting();
            };

            //获取缴费设置
            var getSocialSetting = function() {
                Employee.prototype$__get__socialSetting({
                    id: global.base.userId
                }).$promise.then(function(res) {
                    getCalculateInfo(res.id);
                });
            };

            //获取缴费信息
            var getCalculateInfo = function(id) {
                SocialSetting.prototype$calculate({
                    id: id
                }).$promise.then(function(res) {
                    vm.detail = res;
                });
            };

            return vm;
        }
    ]);