/**
 * 资料报备_证件上传
 */
angular.module('NmHr')
  .controller('CertificateCtrl', ['App', '$rootScope', '$scope', 'Employee', 'Util',
    function (App, $rootScope, $scope, Employee, Util) {
      var vm = this;


      //创建resource
      vm.createResource = function (image) {
        Employee.prototype$__create__idCardImages({
          id: global.base.userId,
        }, {
          container: 'default',
          image: image
        }).$promise.then(function (res) {
          $rootScope.$broadcast('upEmployee');
        });
      };

      //删除图片
      vm.delImg = function (item) {
        Util.comfirmSheet({
          sureText: "确认",
          cancelText: "取消",
          sureTap: function () {
            Employee.prototype$__destroyById__idCardImages({
              id: global.base.userId,
              fk: item
            }).$promise.then(function (res) {
              $rootScope.$broadcast('upEmployee');
            });
          }
        })
      };



      return vm;
    }
  ]);