/**
 * shebaoApp 2016/11/04.
 */

angular.module('NmHr', ['ionic', 'oc.lazyLoad', 'schultz', 'nmServices', 'ngCordova', 'LocalStorageModule'])
    .config(['$httpProvider', '$ionicConfigProvider', 'LoopBackResourceProvider','localStorageServiceProvider',
        function($httpProvider, $ionicConfigProvider, LoopBackResourceProvider,localStorageServiceProvider) {

            //设置Cookie的expires为秒数
            $httpProvider.interceptors.push("ErrorInterceptor");

            //配置Android和IOS区别
            $ionicConfigProvider.tabs.position('bottom');
            $ionicConfigProvider.tabs.style('standard');
            $ionicConfigProvider.navBar.alignTitle('center');
            $ionicConfigProvider.views.swipeBackEnabled(false)
            //配置全局IONIC
            $ionicConfigProvider.scrolling.jsScrolling(ionic.Platform.isIOS())
            $ionicConfigProvider.backButton.icon('ion-ios-arrow-left');
            $ionicConfigProvider.backButton.text('返回');
            $ionicConfigProvider.backButton.previousTitleText(false);
            $ionicConfigProvider.form.toggle('large');

            localStorageServiceProvider.setPrefix('schultz');
            
            switch (hostName) {
                case "hr.ningmengbao.cn":
                    LoopBackResourceProvider.setUrlBase('http://hr.ningmengbao.com/api');
                    break;
                default:
                    LoopBackResourceProvider.setUrlBase('http://hr.stg.ningmengbao.com/api');
                    break;
            }
        }
    ])