/**
 * 个人信息
 */
angular.module('NmHr')
    .controller('PersonalInfoCtrl', ['App', '$rootScope', '$scope', 'UserInfo', 'Employee', 'Util',
        function (App, $rootScope, $scope, UserInfo, Employee, Util) {
            var vm = this;

            vm.logout = function () {
                Util.comfirmPopup({
                    title: "是否退出登录",
                    leftText: "取消",
                    rigthText: "退出",
                    rightTap: function () {
                        Employee.logout().$promise.then(function (res) {
                            UserInfo.destroy();
                            App.state.go("main.find");
                        });
                    }
                })
            }

            vm.goSsAccount = function(){
                global.employee.ssAccount?App.state.go('main.ssAccount'):App.state.go('payment.query')
            }

            //创建resource
            vm.createResource = function (image) {
                Employee.prototype$__create__photoImage({
                    id: global.base.userId,
                    container: 'default',
                    image: image
                }).$promise.then(function (res) {
                    $rootScope.$broadcast('upEmployee');
                });
            };

            return vm;
        }
    ]);